org.apache.hadoop.hdfs.server.datanode.web.webhdfs

## Class DataNodeUGIProvider

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.web.webhdfs.DataNodeUGIProvider

-     public class DataNodeUGIProvider
      extends Object

  Create UGI from the request for the WebHDFS requests for the DNs. Note that the DN does not authenticate the UGI -- the NN will authenticate them in subsequent operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `init(org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Method Detail

    - #### init

          public static void init(org.apache.hadoop.conf.Configuration conf)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.